//
//  InvoiceModel.swift
//  OKProject
//
//  Created by 无故事王国 on 2022/6/10.
//  Copyright © 2022 yangwang. All rights reserved.
//

import Foundation
import HandyJSON

struct InvoiceModel:HandyJSON,Hashable{

    /// 需要送达时间
    var arriveTimeExpect : String = ""

    /// 用车时长
    var carTime : Int = 0

    /// 货物类型（小件物流）
    var cargoType : String = ""

    /// 差价金额
    var differenceMoney : Int = 0

    /// 司机id
    var driverId : Int = 0

    /// 小件物流司机上传图片，多个英文分号分隔
    var driverImg : String = ""

    /// 终点名称
    var endAddress : String = ""

    /// 服务结束事件
    var endServiceTime : String = ""

    /// 下单时间
    var insertTime : Int = 0

    /// 开票状态（1=未开票，2=已开票）
    var invoice : Int = 0

    /// 人数
    var num : Int = 0

    /// 订单ID
    var orderId : Int = 0

    /// 订单金额
    var orderMoney : Int = 0

    /// 订单名称
    var orderName : String = ""

    /// 订单日期
    var orderTime : String = ""

    /// 订单类型
    var orderType : OrderType = .taxi

    /// 支付金额
    var payMoney : Double = 0

    /// 取件码
    var pickUpCode : String = ""

    /// 乘车类型(1=独享，2=一口价，3=拼车)
    var rideType : Int = 0

    /// 车型
    var serverCarModel : String = ""

    /// 起点名称
    var startAddress : String = ""

    /**
     订单状态（1=待接单，2=待出发，3=待到达预约地点，4=待乘客上车，5=服务中，6=完成服务，7=待支付，8=待评价，9=已完成，10=已取消，11=改派中，12=取消待支付）
     小件物流订单状态（1=待接单，2=待出发，3=待到达预约地点，4=待取货，5=送货中，6=已送达，7=待支付，8=需补差价，9=已取货，10=已取消，11=已支付差价
     */
    var state : Int = 0

    /// 感谢费
    var thankYouFee : Int = 0

    /// 出行时间/(小件物流的取货时间)
    var time : String = ""

    /// 小件物流用户上传图片，多个英文分号分隔
    var userImg : String = ""

    static func ==(lhs:InvoiceModel,rhs:InvoiceModel)->Bool{
        return lhs.orderId == rhs.orderId
    }
}

struct InvoiceHistoryModel:HandyJSON{
    var content = ""
    var id = 0
    var insertTime = ""
    var money:Double = 0
    //开票状态（1=待开，2=已开，3=失败）
    var state = 0
    var type = ""

    var stateStr:String{
        switch state{
            case 1:return "待开具"
            case 2:return "已开具"
            case 3:return "开具失败"
            default:return "未知"
        }
    }
}

